View Issue Details

IDProjectCategoryView StatusLast Update
0020487LazarusIDEpublic2012-08-04 06:44
ReporterSalvatore CoppolaAssigned ToMattias Gaertner 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
PlatformLinuxOSUbuntuOS Version11.04
Product Version0.9.30.2RC1Product Build 
Target VersionFixed in Version0.9.31 (SVN) 
Summary0020487: Missing directory prevents to rebuild the ide
DescriptionIn the lazarus 0.9.30.2 from the
deb http://www.hu.freepascal.org/lazarus/ lazarus-testing universe
repository,

the missing directory

/usr/lib/lazarus/0.9.30.2/units

prevents the rebuild of the ide (for instance trying to install a package)

After creating manually this directory the ide rebuild it self
Steps To ReproduceGet a fresh lazarus from
deb http://www.hu.freepascal.org/lazarus/ lazarus-testing universe
try to install a new package
TagsNo tags attached.
Fixed in Revision35815
LazTarget0.99.0
Widgetset
Attached Files
  • bug#20487.patch (1,196 bytes)
    From 614fa316bdb9339e232a21ca7dd2c7c9baa5db1b Mon Sep 17 00:00:00 2001
    From: Mazen Neifer <mazen@sequans.com>
    Date: Wed, 7 Mar 2012 18:48:00 +0100
    Subject: [PATCH] IDE: Store units in directory based on the one supplied by
     user when set in option dialog
    
    ---
     ide/buildlazdialog.pas |    5 +++++
     1 files changed, 5 insertions(+), 0 deletions(-)
    
    diff --git a/ide/buildlazdialog.pas b/ide/buildlazdialog.pas
    index b828976..b42e8e0 100644
    --- a/ide/buildlazdialog.pas
    +++ b/ide/buildlazdialog.pas
    @@ -404,6 +404,11 @@ begin
         end;
         NewTargetDirectory:=CleanAndExpandDirectory(NewTargetDirectory);
         debugln('CreateBuildLazarusOptions Options.TargetDirectory=',NewTargetDirectory);
    +    NewUnitDirectory:=AppendPathDelim(NewTargetDirectory)+'units'
    +                    +PathDelim+NewTargetCPU+'-'+NewTargetOS;
    +    debugln('CreateBuildLazarusOptions UnitsTargetDirectory=',NewUnitDirectory);
    +    NewTargetDirectory:=AppendPathDelim(NewTargetDirectory)+'bin';
    +    debugln('CreateBuildLazarusOptions ExecutableTargetDirectory=',NewTargetDirectory);
         Result:=ForceDirectoryInteractive(NewTargetDirectory,[]);
         if Result<>mrOk then exit;
         if ExeLocked then begin
    -- 
    1.7.9.1
    
    
    bug#20487.patch (1,196 bytes)

Relationships

has duplicate 0020718 resolvedPaul Ishenin Can't compile project with 'Unable to create directory ""' error 

Activities

Zeljan Rikalo

2011-11-14 17:25

developer   ~0054076

Trunk have same problem.

Mattias Gaertner

2011-11-15 00:12

manager   ~0054085

Fixed in trunk and fixes svn.

Zeljan Rikalo

2011-11-19 17:08

developer   ~0054258

@Mattias, not yet. I've tried today:
1.dummy new user on my machine
2.lazarus is already installed into /usr/lib/lazarus
3.dummy user does not have permissions to write into /usr/lib/lazarus
4.Now I've started lazarus (it created $HOME/.lazarus), and then I've tried to rebuild - errors: in .lazarus/MAYBESOMETHINGCOMESHERE/FCL -> missing units/i386-linux , so IDE won't build
I've created them, and rebuild again, -> next error (afair)
.lazarus/MAYBESOMETHINGCOMESHERE/LCLBase -> missing units/i386-linux,
ok I've created those dirs, and then rebuild again ... now it builds correct.

2012-03-08 00:19

 

bug#20487.patch (1,196 bytes)
From 614fa316bdb9339e232a21ca7dd2c7c9baa5db1b Mon Sep 17 00:00:00 2001
From: Mazen Neifer <mazen@sequans.com>
Date: Wed, 7 Mar 2012 18:48:00 +0100
Subject: [PATCH] IDE: Store units in directory based on the one supplied by
 user when set in option dialog

---
 ide/buildlazdialog.pas |    5 +++++
 1 files changed, 5 insertions(+), 0 deletions(-)

diff --git a/ide/buildlazdialog.pas b/ide/buildlazdialog.pas
index b828976..b42e8e0 100644
--- a/ide/buildlazdialog.pas
+++ b/ide/buildlazdialog.pas
@@ -404,6 +404,11 @@ begin
     end;
     NewTargetDirectory:=CleanAndExpandDirectory(NewTargetDirectory);
     debugln('CreateBuildLazarusOptions Options.TargetDirectory=',NewTargetDirectory);
+    NewUnitDirectory:=AppendPathDelim(NewTargetDirectory)+'units'
+                    +PathDelim+NewTargetCPU+'-'+NewTargetOS;
+    debugln('CreateBuildLazarusOptions UnitsTargetDirectory=',NewUnitDirectory);
+    NewTargetDirectory:=AppendPathDelim(NewTargetDirectory)+'bin';
+    debugln('CreateBuildLazarusOptions ExecutableTargetDirectory=',NewTargetDirectory);
     Result:=ForceDirectoryInteractive(NewTargetDirectory,[]);
     if Result<>mrOk then exit;
     if ExeLocked then begin
-- 
1.7.9.1

bug#20487.patch (1,196 bytes)

Abou Al Montacir

2012-03-08 00:20

developer   ~0057373

Uploaded patch fixing the issue. Needs to be integrated into trunk.

Abou Al Montacir

2012-03-09 18:33

developer   ~0057446

build IDE with custom targetdirectory: target unit directory was not set

Issue History

Date Modified Username Field Change
2011-10-14 18:54 Salvatore Coppola New Issue
2011-10-14 19:17 Vincent Snijders LazTarget => 0.99.0
2011-10-14 19:17 Vincent Snijders Assigned To => Abou Al Montacir
2011-10-14 19:17 Vincent Snijders Status new => assigned
2011-10-14 19:17 Vincent Snijders Target Version => 0.99.0
2011-11-14 17:25 Zeljan Rikalo Note Added: 0054076
2011-11-15 00:12 Mattias Gaertner Note Added: 0054085
2011-11-19 17:08 Zeljan Rikalo Note Added: 0054258
2011-11-21 10:39 Zeljan Rikalo Relationship added has duplicate 0020718
2012-03-08 00:19 Abou Al Montacir File Added: bug#20487.patch
2012-03-08 00:19 Abou Al Montacir Assigned To Abou Al Montacir => Mattias Gaertner
2012-03-08 00:20 Abou Al Montacir Note Added: 0057373
2012-03-09 18:33 Abou Al Montacir Fixed in Revision => 35815
2012-03-09 18:33 Abou Al Montacir Status assigned => resolved
2012-03-09 18:33 Abou Al Montacir Fixed in Version => 0.9.31 (SVN)
2012-03-09 18:33 Abou Al Montacir Resolution open => fixed
2012-03-09 18:33 Abou Al Montacir Note Added: 0057446
2012-08-04 06:44 Salvatore Coppola Status resolved => closed